Change POST behaviour for TQM5200 boards
Patch by Martin Krause, 8 Mar 2006

Now a POST memory test is only performed on STK52XX base boards
(and there only if pin PSC6_3 is read as "1" during boot time).
On all other TQM5200 base boards no memory test is performed
during POST (regardless of the state of pin PSC6_3).


---
commit 138f2afdbeafb83608e7cd3c46450d813c1da1b4
tree 530fe66f8f5866323abd4716e2652dfae99777d7
parent 8d352247ecf3638cdd1ef7df31a6ad700bb80574
author Martin Krause <mkr@tq-sewsrv-4.tq-net.de> Mon, 19 Jun 2006 09:46:10 +0200
committer Martin Krause <mkr@tq-sewsrv-4.tq-net.de> Mon, 19 Jun 2006 09:46:10 +0200

 board/tqm5200/tqm5200.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/board/tqm5200/tqm5200.c b/board/tqm5200/tqm5200.c
index 310abd2..8b64741 100644
--- a/board/tqm5200/tqm5200.c
+++ b/board/tqm5200/tqm5200.c
@@ -355,6 +355,7 @@ #ifdef CONFIG_POST
  */
 int post_hotkeys_pressed(void)
 {
+#ifdef CONFIG_STK52XX
 	struct mpc5xxx_gpio *gpio;
 
 	gpio = (struct mpc5xxx_gpio*) MPC5XXX_GPIO;
@@ -373,6 +374,9 @@ int post_hotkeys_pressed(void)
 	gpio->simple_ddr &= ~(0x20000000);
 
 	return ((gpio->simple_ival & 0x20000000) ? 0 : 1);
+#else
+	return 0;
+#endif
 }
 #endif
 
